## bsdgames-nonfree 2.17

=== debian/changelog ===
bsdgames-nonfree (2.17-10) unstable; urgency=medium

  * Formally adopt format 3.0 (quilt), albeit with a consolidated patch.
  * debian/postrm: Use set -e rather than passing -e on the shebang-line.
  * rogue/monster.c: Belatedly fix a typo that broke monster creation in
    horizontal tunnels, thanks to the very patient William Chargin.
    (Closes: #955454.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 03 May 2025 22:03:56 -0400

bsdgames-nonfree (2.17-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)
  * Use set -e rather than passing -e on the shebang-line.
  * watch file standard 4 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 07 Feb 2021 10:15:01 -0500

bsdgames-nonfree (2.17-8) unstable; urgency=medium

  * debian/compat: Advance to Debhelper 11 (from 9).
  * debian/control:
    - Bump debhelper requirement to (>= 11~) accordingly.
    - B-D on libncurses-dev, not transitional libncurses5-dev.
    - Repoint Vcs-* at salsa.
    - Explicitly indicate that binary targets require (fake)root (because
      the executable is setgid games).
    - Standards-Version: 4.3.0 (compliant at this point).
  * debian/copyright: Note my 2019 contributions.
  * debian/{docs,rules}: Swap roles of ChangeLog and NEWS.
  * debian/rules: Take advantage of /usr/share/dpkg/buildflags.mk.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 28 Feb 2019 22:30:25 -0500

bsdgames-nonfree (2.17-7) unstable; urgency=medium

  * debian/control: Canonicalize with the help of cme fix.  In particular,
    declare Standards-Version: 3.9.8 (already compliant, not that cme checked).
  * debian/copyright: Canonicalize with the help of cme fix.
  * debian/.gitignore: +debhelper-build-stamp.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 25 Jan 2017 00:09:05 -0500

bsdgames-nonfree (2.17-6) unstable; urgency=low

  * rogue/move.c (check_hunger): Achieve every-other-move effects correctly,
    by consulting m_moves rather than rogue.moves_left.  (Closes: #726195.)
  * Standards-Version: 3.9.4 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 15 Oct 2013 11:12:31 -0400

bsdgames-nonfree (2.17-5) unstable; urgency=high

  * rogue/init.c: Give the initial bow a damage value of 1d1 for
    consistency with object.c; 1d2 was presumably a typo.
  * rogue/{object.c,rogue.h,save.c}: factor an assign_damage function out
    of gr_weapon, and call it from read_pack because saved values (raw
    pointers to string constants) may be invalid.  (The setup was always
    fragile, and broke altogether when 2.17-4 made the executable
    position-independent and subject to loading at randomized addresses.)
    (Closes: #695262.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 06 Dec 2012 21:53:01 -0500

bsdgames-nonfree (2.17-4) unstable; urgency=low

  * config.params: defer to debian/rules for build flags (which weren't
    set quite as intended in noopt mode anyway, per a longstanding typo).
  * debian/compat: Advance to Debhelper 9.
  * debian/control:
    - Build-Depends: debhelper (>= 9), implying a new enough dpkg-dev.
    - Depends: ${misc:Depends}, which debhelper could theoretically populate.
    - Vcs-*: point to (new) personal repository on anonscm.debian.org.
    - Retire conflict against ancient (pre-split) bsdgames.
    - Standards-Version: 3.9.3 (now compliant).
  * debian/copyright: clean up and convert to DEP5 format 1.0.
  * debian/rules:
    - Minimize further by switching to override_dh_* style.
    - Pass in dpkg's recommended flags, including full hardening flags.
  * (debian/).gitignore: ignore generated files.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 27 Jun 2012 21:43:37 -0400

bsdgames-nonfree (2.17-3) unstable; urgency=low

  * Migrate from CDBS to Debhelper 7.
  * Explicitly note distinction between main and non-free in debian/copyright.
  * Declare compliance with Policy 3.8.0.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 14 Jun 2008 18:10:04 -0400

bsdgames-nonfree (2.17-2) unstable; urgency=low

  * Convert to cdbs and debhelper 6.
  * Note compliance with current policy (3.7.3).
  * Set XS-Autobuild: yes, as the license isn't too severely non-free.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 29 Mar 2008 19:51:53 -0400

bsdgames-nonfree (2.17-1) unstable; urgency=low

  * New upstream release.
  * debian/menu: Properly double-quote command.
  * debian/watch: Added, to help track future upstream versions.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 18 Feb 2005 22:09:47 -0500

bsdgames-nonfree (2.16-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update infrastructure copyright to cover 2004.
  * debian/docs: drop rogue.me (now covered by upstream build system).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 Feb 2004 23:24:21 -0500

bsdgames-nonfree (2.15-2) unstable; urgency=low

  * debian/postinst: Use POSIX-blessed chown syntax. (Closes: #229199)
  * debian/rules: Tell vrms (and other interested parties) that the
    license forbids commercial use.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Jan 2004 19:16:31 -0500

bsdgames-nonfree (2.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control: standards-version 3.6.1 (no changes needed).
  * debian/copyright: rework once more; should now contain all needed info.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 22 Dec 2003 22:20:30 -0500

bsdgames-nonfree (2.14-2) unstable; urgency=low

  * config.params:
    - Make setgid games again (supposedly safe now...)
    - Support "noopt" in DEB_BUILD_OPTIONS.
    - debian/tmp -> debian/bsdgames-nonfree.
    - Miscellaneous typo fixes.
  * configure: Revert changes to defaults (config.params should suffice).

