=== debian/control ===
Source: bsdgames-nonfree
Maintainer: Aaron M. Ucko <ucko@debian.org>
Section: non-free/games
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/ucko/bsdgames-nonfree
Vcs-Git: https://salsa.debian.org/ucko/bsdgames-nonfree.git
Rules-Requires-Root: binary-targets

Package: bsdgames-nonfree
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: bsdgames
Description: rogue, the classic dungeon exploration game
 This is a text-based game common on (traditional) BSD systems.  It may
 not be distributed freely, so it had to be broken off from the main
 bsdgames package and placed in non-free.
 .
 This package now contains only rogue, the classic dungeon exploration game.
