=== debian/rules ===
#!/usr/bin/make -f
pkg         = bsdgames-nonfree
DEB_DESTDIR = $(CURDIR)/debian/$(pkg)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- -f GNUmakefile distclean

override_dh_auto_configure:
	bsd_games_cfg_other_cflags="$(CFLAGS) $(CPPFLAGS)" \
	  bsd_games_cfg_other_ldflags="$(LDFLAGS)" \
	    ./configure

override_dh_auto_install:
	dh_auto_install -- INSTALL_PREFIX=$(DEB_DESTDIR)
	-rm -f $(DEB_DESTDIR)/var/games/$(pkg)/rogue.scores
	mkdir -p $(DEB_DESTDIR)/usr/share/vrms/reasons
	echo "$(pkg): No commercial use" \
	    > $(DEB_DESTDIR)/usr/share/vrms/reasons/$(pkg)
	cp rogue/CHANGES $(DEB_DESTDIR)/usr/share/doc/$(pkg)/CHANGES.rogue

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_fixperms:
	dh_fixperms -X/usr/games/rogue
