=== debian/watch ===
version=4
ftp://ibiblio.org/pub/Linux/games/bsd-games-non-free-([0-9]+.*).tar.gz
# ftp://ibiblio.org/pub/Linux/Incoming/bsd-games-non-free-([0-9]+.*).tar.gz
